<?php
require("../../config/koneksi.php");
require("../../config/function.php");
require("../../config/crud.php");
include"fungsi.php";
(isset($_GET['pg'])) ? $pg = $_GET['pg'] : $pg = '';

if ($pg == 'tambah') {
    $total=reset_rupiah($_POST['total']);
	$banyak=$_POST['banyak'];
	$besar=$total/$banyak;
        $data = [
       
        'kode'         => $_POST['kode'],
        'nama_pembayaran'     => $_POST['nama'],
		'besar' => $besar,
		 'mode'         => $_POST['mode'],
        'total_bayar'   => reset_rupiah($_POST['total']),
		 'banyak_angsur'         => $_POST['banyak']
    ];
   
            $exec = insert($koneksi, 'm_bayar', $data);
            echo $exec;
        }
  if ($pg == 'hapus') {  
  $idt = $_POST['id'];
    delete($koneksi, 'trx', ['idt' => $idt]);
}

if ($pg == 'bayar') {
	$tahun=date('Y');
	$bulan=date('m');
	$idsiswa = $_POST['idsiswa'];
	$tanggal= date('Y-m-d');
	$bukti=$_POST['bukti'];
	$kode=$_POST['kode'];
    $besar = $_POST['besar'];
    $untuk = $_POST['untuk'];
	
	$where = [
	'idsiswa' => $idsiswa,
	'kode' => $kode,
	'untuk' => $untuk,
	'bulan' => $bulan,
	'tahun' => $tahun
	];
	$data = [
	'idsiswa' => $idsiswa,
	'kode' => $kode,
	'tanggal' => $tanggal,
	'bukti' => $bukti,
	'untuk' => $untuk,
	'bulan' => $bulan,
	'tahun' => $tahun
	];
	
	$cek = rowcount($koneksi, 'trx', $where);
            if ($cek == 0) {
            $exec = insert($koneksi, 'trx', $data);
            echo $exec;
        }
	
}